CVE-2006-2402

Properties

Published:
14.05.2006
Updated:
16.05.2006
Patch available:
Severity:
Low
  • CVSS vector:
    (AV:R/AC:L/Au:NR/C:N/I:P/A:N/B:N)
    Product:
    Outgun: Outgun
    Outgun: Outgun
    Outgun: Outgun

    Vulnerability description

    Buffer overflow in the changeRegistration function in servernet.cpp for Outgun 1.0.3 bot 2 and earlier allows remote attackers to change the registration information of other players via a long string.

    References:

    BUGTRAQ: http://www.securityfocus.com/archive/1/archive/1/433932/100/0/threaded
    ALTERVISTA: http://aluigi.altervista.org/adv/outgunx-adv.txt
    BID: http://www.securityfocus.com/bid/17985
    FRSIRT: http://www.frsirt.com/english/advisories/2006/1796
    SECUNIA: http://secunia.com/advisories/20098